## obus 1.1.2

=== debian/changelog ===
obus (1.1.2-2) unstable; urgency=low

  * Disable all tests needing a working DBus daemon
  * Make the tests use a temporary directory as $HOME (Closes: #630322)
  * Force compilation as bytecode on architectures without native dynlink
    (Closes: #630320)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Tue, 28 Jun 2011 21:39:32 +0200

obus (1.1.2-1) unstable; urgency=low

  * New upstream release
    - Drop patches fixed upstream
    - Add patch for compatibility with type-conv >= 2.3.0
  * Bump required OCaml version to 3.12.0, lwt to 2.2.0
  * Bump Standards-Version to 3.9.2 (no changes)
  * Upload to unstable

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sat, 11 Jun 2011 23:33:06 +0200

obus (1.0~rc1-2) experimental; urgency=low

  * Rebuild with OCaml 3.11.2
  * Switch source package format to 3.0 (quilt)
    - convert existing changes to
      0001-Fix-build-on-bytecode-architectures.patch
  * Add 0002-Fix-build-with-lwt-2.1.0.patch
  * Bump Standards-Version to 3.8.4 (no changes)
  * Fix debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Apr 2010 08:28:02 +0200

obus (1.0~rc1-1) experimental; urgency=low

  * Initial release (Closes: #550754)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2009 10:51:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

CONFIGURE_OPTS := 

ifneq ($(OCAML_NATDYNLINK),yes)
	CONFIGURE_OPTS := --override is_native false
endif

export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DESTDIR=$(CURDIR)/debian/tmp

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure $(CONFIGURE_OPTS) --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libobus-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/tmp_home
	HOME=$(CURDIR)/debian/tmp_home ocaml setup.ml -test
	rm -r $(CURDIR)/debian/tmp_home

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.darcs

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://forge.ocamlcore.org/frs/?group_id=26 .*/obus-(.*)\.tar\.gz
# Upstream darcs repository:
#   http://darcs.ocamlcore.org/repos/obus
#   http://darcs.ocamlcore.org/cgi-bin/darcsweb.cgi?r=obus

## obus 1.1.5

=== manual/Makefile ===
# Makefile
# --------
# Copyright : (c) 2010, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of obus, an ocaml implementation of D-Bus.

.PHONY: all clean clean-aux

all: manual.pdf

%.pdf: %.tex
	rubber --pdf $<

clean: clean-aux
	rm -f *.pdf

clean-aux:
	rm -f *.aux *.dvi *.log *.out *.toc *.html *.htoc *.haux

## obus 1.1.3

=== debian/changelog ===
obus (1.1.3-1) unstable; urgency=low

  * New upstream release
    - patch applied upstream: Fix-for-type-conv-2.3.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Jul 2011 17:19:05 +0200

=== debian/control ===
Source: obus
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-ocaml (>= 0.9),
 libtype-conv-camlp4-dev (>= 2.3.0~),
 libxmlm-ocaml-dev,
 liblwt-ocaml-dev (>= 2.2.0~),
 ocaml-findlib,
 ocaml-nox (>= 3.12.0~)
Standards-Version: 3.9.2
Section: ocaml
Homepage: http://obus.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/obus.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/obus.git

Package: libobus-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib,
 libobus-ocaml-bin
Description: pure OCaml implementation of D-Bus (development files)
 OBus is a pure OCaml implementation of D-Bus. It aims to provide a
 clean and easy way for OCaml programmers to access and provide D-Bus
 services.
 .
 D-Bus is a message bus, used for sending messages between
 applications. It supports broadcast messages, asynchronous messages
 (thus decreasing latency), authentication, and more. It is designed
 to be low-overhead. D-Bus also supports a method call mapping for its
 messages.
 .
 This package contains development files of OBus.

Package: libobus-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: pure OCaml implementation of D-Bus (runtime)
 OBus is a pure OCaml implementation of D-Bus. It aims to provide a
 clean and easy way for OCaml programmers to access and provide D-Bus
 services.
 .
 This package contains dynamically loadable plugins of OBus.

Package: libobus-ocaml-bin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libobus-ocaml-dev
Description: pure OCaml implementation of D-Bus (command-line tools)
 OBus is a pure OCaml implementation of D-Bus. It aims to provide a
 clean and easy way for OCaml programmers to access and provide D-Bus
 services.
 .
 This package contains command-line tools useful for using OBus.

## obus 1.1.4

=== debian/changelog ===
obus (1.1.4-2) unstable; urgency=low

  * Do not build natively on !natdynlink (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 10 May 2013 19:49:57 +0200

obus (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 23:23:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9),
  libtype-conv-camlp4-dev (>= 2.3.0~),
  libxmlm-ocaml-dev,
  liblwt-ocaml-dev (>= 2.2.0~),
  ocaml-findlib,
  ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://obus.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/obus.git

## obus 1.1.5

=== debian/changelog ===
obus (1.1.5-6) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

  [ Dimitri John Ledkov ]
  * Remove duplicate constructor, to fix FTBFS with ocaml 4.04.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 07:08:02 +0200

obus (1.1.5-5) unstable; urgency=medium

  * Fix compilation with react 1.0.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Nov 2015 10:31:56 +0100

obus (1.1.5-4) unstable; urgency=medium

  * Add camlp4 to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2015 10:29:44 +0200

obus (1.1.5-3) unstable; urgency=low

  * Upload to unstable (Closes: #713365)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 09:40:44 +0100

obus (1.1.5-2) experimental; urgency=low

  * Build-Depend on ocaml-find >= 1.4 to handle new native architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Jul 2013 10:03:52 +0200

obus (1.1.5-1) experimental; urgency=low

  * New upstream release
    - needs OCaml >= 4 and type-conv >= 108
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Jul 2013 09:18:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
- libtype-conv-camlp4-dev (>= 2.3.0~),
+ libtype-conv-camlp4-dev (>= 108),
  libxmlm-ocaml-dev,
  liblwt-ocaml-dev (>= 2.2.0~),
- ocaml-findlib,
- ocaml-nox (>= 3.12.0~)
+ camlp4,
+ ocaml-findlib (>= 1.4),
+ ocamlbuild,
+ ocaml-nox (>= 4)
 Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://obus.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/obus.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/obus.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/obus.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/obus.git
 
 Package: libobus-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:

## obus 1.2.1

=== debian/changelog ===
obus (1.2.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2020 09:09:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: obus
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper-compat (= 12),
  dh-ocaml (>= 0.9),
- libtype-conv-camlp4-dev (>= 108),
  libxmlm-ocaml-dev,
- liblwt-ocaml-dev (>= 2.2.0~),
- camlp4,
+ liblwt-ocaml-dev (>= 4.3.0),
+ liblwt-log-ocaml-dev,
+ libppxlib-ocaml-dev,
+ libmigrate-parsetree-ocaml-dev,
  ocaml-findlib (>= 1.4),
+ ocaml-dune,
  ocamlbuild,
+ menhir,
  ocaml-nox (>= 4)
-Standards-Version: 3.9.4
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://obus.forge.ocamlcore.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/obus.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/obus.git
+Homepage: https://github.com/ocaml-community/obus
+Vcs-Browser: https://salsa.debian.org/ocaml-team/obus
+Vcs-Git: https://salsa.debian.org/ocaml-team/obus.git
 
 Package: libobus-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p obus

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/obus/LICENSE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p obus
endif

override_dh_auto_clean:
	dune clean

override_dh_missing:
	dh_missing --fail-missing

## obus 1.2.3

=== debian/changelog ===
obus (1.2.3-1build8) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:43 +0100

obus (1.2.3-1build7) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:36:46 +0100

obus (1.2.3-1build6) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 02:18:28 +0000

obus (1.2.3-1build5) hirsute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Dec 2020 21:39:03 +0100

obus (1.2.3-1build4) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 21:23:29 +0100

obus (1.2.3-1build3) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Nov 2020 01:32:06 +0100

obus (1.2.3-1build2) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Nov 2020 12:12:36 +0100

obus (1.2.3-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 14:03:42 +0200

obus (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 11:50:53 +0200

obus (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #836118)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 13:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: obus
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-ocaml (>= 0.9),
+ debhelper-compat (= 13),
+ dh-ocaml,
  libxmlm-ocaml-dev,
  liblwt-ocaml-dev (>= 4.3.0),
  liblwt-log-ocaml-dev,
- libppxlib-ocaml-dev,
- libmigrate-parsetree-ocaml-dev,
- ocaml-findlib (>= 1.4),
+ libppxlib-ocaml-dev (>= 0.14.0),
  ocaml-dune,
- ocamlbuild,
  menhir,
- ocaml-nox (>= 4)
-Standards-Version: 4.4.1
+ ocaml-nox
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/obus

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/obus/releases .*/archive/(.*)\.tar\.gz

## obus 1.2.4

=== debian/changelog ===
obus (1.2.4-1) unstable; urgency=medium

  * Add patch to support newer ppxlib.
  * Bump standards-version to 4.6.1.
  * Fix d/watch.
  * New upstream.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 14 Oct 2022 09:02:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: obus
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,11 +8,11 @@
  libxmlm-ocaml-dev,
  liblwt-ocaml-dev (>= 4.3.0),
  liblwt-log-ocaml-dev,
- libppxlib-ocaml-dev (>= 0.14.0),
+ libppxlib-ocaml-dev (>= 0.25.0),
  ocaml-dune,
  menhir,
  ocaml-nox
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/obus

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,4 @@
 override_dh_auto_clean:
 	dune clean
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## obus 1.2.5

=== debian/changelog ===
obus (1.2.5-1build9) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:47:37 +0200

obus (1.2.5-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:25:45 +0200

obus (1.2.5-1build7) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:37:49 -0400

obus (1.2.5-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:01:40 +0100

obus (1.2.5-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:34:27 +0100

obus (1.2.5-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:19:53 +0100

obus (1.2.5-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:02:56 +0100

obus (1.2.5-1build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 16:06:10 +0200

obus (1.2.5-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:41:57 +0200

obus (1.2.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Jun 2024 21:20:52 +0200

obus (1.2.4-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:27:42 +0200

obus (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune (Closes: #1040233).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 08:57:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
+ dh-ocaml (>= 1.2),
  libxmlm-ocaml-dev,
  liblwt-ocaml-dev (>= 4.3.0),
  liblwt-log-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.25.0),
  ocaml-dune,
  menhir,
- ocaml-nox
-Standards-Version: 4.6.1
+ ocaml
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/obus

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/obus/tags .*/(.*)\.tar\.gz
